// dart format width=80
import 'package:drift/internal/versioned_schema.dart' as i0;
import 'package:drift/drift.dart' as i1;
import 'package:drift/drift.dart'; // ignore_for_file: type=lint,unused_import

// GENERATED BY drift_dev, DO NOT MODIFY.
final class Schema2 extends i0.VersionedSchema {
  Schema2({required super.database}) : super(version: 2);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape0 sessions = Shape0(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape2 sessionActivities = Shape2(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_8,
          _column_9,
          _column_10,
          _column_11,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape4 activityActions = Shape4(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_9,
          _column_13,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_14,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_17,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape0 extends i0.VersionedTable {
  Shape0({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get content =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get status =>
      columnsByName['status']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get date =>
      columnsByName['date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<int> _column_0(String aliasedName) =>
    i1.GeneratedColumn<int>('id', aliasedName, false,
        hasAutoIncrement: true,
        type: i1.DriftSqlType.int,
        defaultConstraints:
            i1.GeneratedColumn.constraintIsAlways('PRIMARY KEY AUTOINCREMENT'));
i1.GeneratedColumn<String> _column_1(String aliasedName) =>
    i1.GeneratedColumn<String>('title', aliasedName, false,
        additionalChecks: i1.GeneratedColumn.checkTextLength(
            minTextLength: 3, maxTextLength: 32),
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_2(String aliasedName) =>
    i1.GeneratedColumn<String>('body', aliasedName, false,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_3(String aliasedName) =>
    i1.GeneratedColumn<String>('status', aliasedName, false,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<DateTime> _column_4(String aliasedName) =>
    i1.GeneratedColumn<DateTime>('date', aliasedName, true,
        type: i1.DriftSqlType.dateTime);
i1.GeneratedColumn<DateTime> _column_5(String aliasedName) =>
    i1.GeneratedColumn<DateTime>('created_at', aliasedName, false,
        type: i1.DriftSqlType.dateTime, defaultValue: Variable(DateTime.now()));

class Shape1 extends i0.VersionedTable {
  Shape1({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get type =>
      columnsByName['type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get category =>
      columnsByName['category']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_6(String aliasedName) =>
    i1.GeneratedColumn<String>('type', aliasedName, false,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_7(String aliasedName) =>
    i1.GeneratedColumn<String>('category', aliasedName, false,
        type: i1.DriftSqlType.string);

class Shape2 extends i0.VersionedTable {
  Shape2({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get sessionId =>
      columnsByName['session_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get activityId =>
      columnsByName['activity_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get results =>
      columnsByName['results']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get achievements =>
      columnsByName['achievements']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<int> _column_8(String aliasedName) =>
    i1.GeneratedColumn<int>('session_id', aliasedName, false,
        type: i1.DriftSqlType.int,
        defaultConstraints:
            i1.GeneratedColumn.constraintIsAlways('REFERENCES sessions (id)'));
i1.GeneratedColumn<int> _column_9(String aliasedName) =>
    i1.GeneratedColumn<int>('activity_id', aliasedName, false,
        type: i1.DriftSqlType.int,
        defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
            'REFERENCES activities (id)'));
i1.GeneratedColumn<String> _column_10(String aliasedName) =>
    i1.GeneratedColumn<String>('results', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_11(String aliasedName) =>
    i1.GeneratedColumn<String>('achievements', aliasedName, true,
        type: i1.DriftSqlType.string);

class Shape3 extends i0.VersionedTable {
  Shape3({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get set =>
      columnsByName['set']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_12(String aliasedName) =>
    i1.GeneratedColumn<String>('set', aliasedName, false,
        type: i1.DriftSqlType.string);

class Shape4 extends i0.VersionedTable {
  Shape4({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get activityId =>
      columnsByName['activity_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get actionId =>
      columnsByName['action_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<int> _column_13(String aliasedName) =>
    i1.GeneratedColumn<int>('action_id', aliasedName, false,
        type: i1.DriftSqlType.int,
        defaultConstraints:
            i1.GeneratedColumn.constraintIsAlways('REFERENCES actions (id)'));

class Shape5 extends i0.VersionedTable {
  Shape5({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get reference =>
      columnsByName['reference']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get type =>
      columnsByName['type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_14(String aliasedName) =>
    i1.GeneratedColumn<String>('reference', aliasedName, false,
        additionalChecks: i1.GeneratedColumn.checkTextLength(
            minTextLength: 3, maxTextLength: 256),
        type: i1.DriftSqlType.string);

class Shape6 extends i0.VersionedTable {
  Shape6({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get objectId =>
      columnsByName['object_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get objectType =>
      columnsByName['object_type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get mediaId =>
      columnsByName['media_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<int> _column_15(String aliasedName) =>
    i1.GeneratedColumn<int>('object_id', aliasedName, false,
        type: i1.DriftSqlType.int);
i1.GeneratedColumn<String> _column_16(String aliasedName) =>
    i1.GeneratedColumn<String>('object_type', aliasedName, false,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<int> _column_17(String aliasedName) =>
    i1.GeneratedColumn<int>('media_id', aliasedName, false,
        type: i1.DriftSqlType.int,
        defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
            'REFERENCES media_items (id)'));

final class Schema3 extends i0.VersionedSchema {
  Schema3({required super.database}) : super(version: 3);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape0 sessions = Shape0(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape7 sessionActivities = Shape7(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_8,
          _column_9,
          _column_18,
          _column_10,
          _column_11,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape8 activityActions = Shape8(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_9,
          _column_13,
          _column_18,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_14,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_17,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape7 extends i0.VersionedTable {
  Shape7({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get sessionId =>
      columnsByName['session_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get activityId =>
      columnsByName['activity_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get postition =>
      columnsByName['postition']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get results =>
      columnsByName['results']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get achievements =>
      columnsByName['achievements']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<int> _column_18(String aliasedName) =>
    i1.GeneratedColumn<int>('postition', aliasedName, false,
        type: i1.DriftSqlType.int);

class Shape8 extends i0.VersionedTable {
  Shape8({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get activityId =>
      columnsByName['activity_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get actionId =>
      columnsByName['action_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get postition =>
      columnsByName['postition']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

final class Schema4 extends i0.VersionedSchema {
  Schema4({required super.database}) : super(version: 4);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape0 sessions = Shape0(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape9 sessionActivities = Shape9(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_8,
          _column_9,
          _column_19,
          _column_10,
          _column_11,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_9,
          _column_13,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_14,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_17,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape9 extends i0.VersionedTable {
  Shape9({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get sessionId =>
      columnsByName['session_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get activityId =>
      columnsByName['activity_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get position =>
      columnsByName['position']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get results =>
      columnsByName['results']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get achievements =>
      columnsByName['achievements']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<int> _column_19(String aliasedName) =>
    i1.GeneratedColumn<int>('position', aliasedName, false,
        type: i1.DriftSqlType.int);

class Shape10 extends i0.VersionedTable {
  Shape10({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get activityId =>
      columnsByName['activity_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get actionId =>
      columnsByName['action_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get position =>
      columnsByName['position']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

final class Schema5 extends i0.VersionedSchema {
  Schema5({required super.database}) : super(version: 5);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape11 sessions = Shape11(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape9 sessionActivities = Shape9(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_8,
          _column_9,
          _column_19,
          _column_10,
          _column_11,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_9,
          _column_13,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_14,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_17,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape11 extends i0.VersionedTable {
  Shape11({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get content =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get status =>
      columnsByName['status']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get address =>
      columnsByName['address']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get date =>
      columnsByName['date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_20(String aliasedName) =>
    i1.GeneratedColumn<String>('address', aliasedName, true,
        additionalChecks: i1.GeneratedColumn.checkTextLength(
            minTextLength: 3, maxTextLength: 256),
        type: i1.DriftSqlType.string);

final class Schema6 extends i0.VersionedSchema {
  Schema6({required super.database}) : super(version: 6);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape11 sessions = Shape11(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape9 sessionActivities = Shape9(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_11,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_14,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<int> _column_21(String aliasedName) =>
    i1.GeneratedColumn<int>('session_id', aliasedName, false,
        type: i1.DriftSqlType.int,
        defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
            'REFERENCES sessions (id) ON DELETE CASCADE'));
i1.GeneratedColumn<int> _column_22(String aliasedName) =>
    i1.GeneratedColumn<int>('activity_id', aliasedName, false,
        type: i1.DriftSqlType.int,
        defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
            'REFERENCES activities (id) ON DELETE CASCADE'));
i1.GeneratedColumn<int> _column_23(String aliasedName) =>
    i1.GeneratedColumn<int>('action_id', aliasedName, false,
        type: i1.DriftSqlType.int,
        defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
            'REFERENCES actions (id) ON DELETE CASCADE'));
i1.GeneratedColumn<int> _column_24(String aliasedName) =>
    i1.GeneratedColumn<int>('media_id', aliasedName, false,
        type: i1.DriftSqlType.int,
        defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
            'REFERENCES media_items (id) ON DELETE CASCADE'));

final class Schema7 extends i0.VersionedSchema {
  Schema7({required super.database}) : super(version: 7);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape11 sessions = Shape11(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape9 sessionActivities = Shape9(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_11,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_14,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

final class Schema8 extends i0.VersionedSchema {
  Schema8({required super.database}) : super(version: 8);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape11 sessions = Shape11(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape9 sessionActivities = Shape9(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_11,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_14,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

final class Schema9 extends i0.VersionedSchema {
  Schema9({required super.database}) : super(version: 9);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape11 sessions = Shape11(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape9 sessionActivities = Shape9(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_11,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_25(String aliasedName) =>
    i1.GeneratedColumn<String>('reference', aliasedName, false,
        type: i1.DriftSqlType.string);

final class Schema10 extends i0.VersionedSchema {
  Schema10({required super.database}) : super(version: 10);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape11 sessions = Shape11(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape9 sessionActivities = Shape9(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_11,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

final class Schema11 extends i0.VersionedSchema {
  Schema11({required super.database}) : super(version: 11);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape12 extends i0.VersionedTable {
  Shape12({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get content =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get status =>
      columnsByName['status']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get achievements =>
      columnsByName['achievements']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get address =>
      columnsByName['address']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get date =>
      columnsByName['date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

class Shape13 extends i0.VersionedTable {
  Shape13({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get sessionId =>
      columnsByName['session_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get activityId =>
      columnsByName['activity_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get position =>
      columnsByName['position']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get results =>
      columnsByName['results']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

final class Schema12 extends i0.VersionedSchema {
  Schema12({required super.database}) : super(version: 12);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_26,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_26(String aliasedName) =>
    i1.GeneratedColumn<String>('achievements', aliasedName, true,
        additionalChecks: i1.GeneratedColumn.checkTextLength(
            minTextLength: 3, maxTextLength: 32),
        type: i1.DriftSqlType.string);

final class Schema13 extends i0.VersionedSchema {
  Schema13({required super.database}) : super(version: 13);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape1 activities = Shape1(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

final class Schema14 extends i0.VersionedSchema {
  Schema14({required super.database}) : super(version: 14);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape14 activities = Shape14(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_27,
          _column_28,
          _column_29,
          _column_30,
          _column_31,
          _column_32,
          _column_33,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape14 extends i0.VersionedTable {
  Shape14({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get type =>
      columnsByName['type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get category =>
      columnsByName['category']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get force =>
      columnsByName['force']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get level =>
      columnsByName['level']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get mechanic =>
      columnsByName['mechanic']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get equaipment =>
      columnsByName['equaipment']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get primaryMuscles =>
      columnsByName['primary_muscles']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get secondaryMuscles =>
      columnsByName['secondary_muscles']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get images =>
      columnsByName['images']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_27(String aliasedName) =>
    i1.GeneratedColumn<String>('force', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_28(String aliasedName) =>
    i1.GeneratedColumn<String>('level', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_29(String aliasedName) =>
    i1.GeneratedColumn<String>('mechanic', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_30(String aliasedName) =>
    i1.GeneratedColumn<String>('equaipment', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_31(String aliasedName) =>
    i1.GeneratedColumn<String>('primary_muscles', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_32(String aliasedName) =>
    i1.GeneratedColumn<String>('secondary_muscles', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_33(String aliasedName) =>
    i1.GeneratedColumn<String>('images', aliasedName, true,
        type: i1.DriftSqlType.string);

final class Schema15 extends i0.VersionedSchema {
  Schema15({required super.database}) : super(version: 15);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape15 activities = Shape15(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_27,
          _column_28,
          _column_29,
          _column_34,
          _column_31,
          _column_32,
          _column_33,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape15 extends i0.VersionedTable {
  Shape15({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get type =>
      columnsByName['type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get category =>
      columnsByName['category']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get force =>
      columnsByName['force']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get level =>
      columnsByName['level']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get mechanic =>
      columnsByName['mechanic']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get equapment =>
      columnsByName['equapment']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get primaryMuscles =>
      columnsByName['primary_muscles']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get secondaryMuscles =>
      columnsByName['secondary_muscles']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get images =>
      columnsByName['images']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_34(String aliasedName) =>
    i1.GeneratedColumn<String>('equapment', aliasedName, true,
        type: i1.DriftSqlType.string);

final class Schema16 extends i0.VersionedSchema {
  Schema16({required super.database}) : super(version: 16);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape16 activities = Shape16(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_6,
          _column_2,
          _column_7,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_33,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape16 extends i0.VersionedTable {
  Shape16({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get type =>
      columnsByName['type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get category =>
      columnsByName['category']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get force =>
      columnsByName['force']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get level =>
      columnsByName['level']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get mechanic =>
      columnsByName['mechanic']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get equipment =>
      columnsByName['equipment']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get primaryMuscles =>
      columnsByName['primary_muscles']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get secondaryMuscles =>
      columnsByName['secondary_muscles']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get images =>
      columnsByName['images']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_35(String aliasedName) =>
    i1.GeneratedColumn<String>('equipment', aliasedName, true,
        type: i1.DriftSqlType.string);

final class Schema17 extends i0.VersionedSchema {
  Schema17({required super.database}) : super(version: 17);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape16 activities = Shape16(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_33,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_36(String aliasedName) =>
    i1.GeneratedColumn<String>('type', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_37(String aliasedName) =>
    i1.GeneratedColumn<String>('body', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_38(String aliasedName) =>
    i1.GeneratedColumn<String>('category', aliasedName, true,
        type: i1.DriftSqlType.string);

final class Schema18 extends i0.VersionedSchema {
  Schema18({required super.database}) : super(version: 18);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_39,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape16 activities = Shape16(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_33,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_39(String aliasedName) =>
    i1.GeneratedColumn<String>('title', aliasedName, false,
        additionalChecks: i1.GeneratedColumn.checkTextLength(
            minTextLength: 3, maxTextLength: 256),
        type: i1.DriftSqlType.string);

final class Schema19 extends i0.VersionedSchema {
  Schema19({required super.database}) : super(version: 19);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape16 activities = Shape16(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_33,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_40(String aliasedName) =>
    i1.GeneratedColumn<String>('title', aliasedName, false,
        additionalChecks: i1.GeneratedColumn.checkTextLength(
            minTextLength: 3, maxTextLength: 100),
        type: i1.DriftSqlType.string);

final class Schema20 extends i0.VersionedSchema {
  Schema20({required super.database}) : super(version: 20);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape3 actions = Shape3(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape17 extends i0.VersionedTable {
  Shape17({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get type =>
      columnsByName['type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get category =>
      columnsByName['category']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get force =>
      columnsByName['force']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get level =>
      columnsByName['level']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get mechanic =>
      columnsByName['mechanic']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get equipment =>
      columnsByName['equipment']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get primaryMuscles =>
      columnsByName['primary_muscles']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get secondaryMuscles =>
      columnsByName['secondary_muscles']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_41(String aliasedName) =>
    i1.GeneratedColumn<String>('title', aliasedName, false,
        additionalChecks: i1.GeneratedColumn.checkTextLength(
            minTextLength: 3, maxTextLength: 64),
        type: i1.DriftSqlType.string);

final class Schema21 extends i0.VersionedSchema {
  Schema21({required super.database}) : super(version: 21);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape18 actions = Shape18(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_50,
          _column_51,
          _column_52,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape18 extends i0.VersionedTable {
  Shape18({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get totalSets =>
      columnsByName['total_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get totalReps =>
      columnsByName['total_reps']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get restBeforeSets =>
      columnsByName['rest_before_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restBetweenSets =>
      columnsByName['rest_between_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restBetweenReps =>
      columnsByName['rest_between_reps']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restAfterSets =>
      columnsByName['rest_after_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get repType =>
      columnsByName['rep_type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get repLength =>
      columnsByName['rep_length']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get repWeight =>
      columnsByName['rep_weight']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<bool> get isAlternating =>
      columnsByName['is_alternating']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<String> get tempo =>
      columnsByName['tempo']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get set =>
      columnsByName['set']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<int> _column_42(String aliasedName) =>
    i1.GeneratedColumn<int>('total_sets', aliasedName, false,
        type: i1.DriftSqlType.int);
i1.GeneratedColumn<String> _column_43(String aliasedName) =>
    i1.GeneratedColumn<String>('total_reps', aliasedName, false,
        additionalChecks: i1.GeneratedColumn.checkTextLength(
            minTextLength: 1, maxTextLength: 32),
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<int> _column_44(String aliasedName) =>
    i1.GeneratedColumn<int>('rest_before_sets', aliasedName, true,
        type: i1.DriftSqlType.int);
i1.GeneratedColumn<int> _column_45(String aliasedName) =>
    i1.GeneratedColumn<int>('rest_between_sets', aliasedName, true,
        type: i1.DriftSqlType.int);
i1.GeneratedColumn<int> _column_46(String aliasedName) =>
    i1.GeneratedColumn<int>('rest_between_reps', aliasedName, true,
        type: i1.DriftSqlType.int);
i1.GeneratedColumn<int> _column_47(String aliasedName) =>
    i1.GeneratedColumn<int>('rest_after_sets', aliasedName, true,
        type: i1.DriftSqlType.int);
i1.GeneratedColumn<String> _column_48(String aliasedName) =>
    i1.GeneratedColumn<String>('rep_type', aliasedName, false,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<int> _column_49(String aliasedName) =>
    i1.GeneratedColumn<int>('rep_length', aliasedName, true,
        type: i1.DriftSqlType.int);
i1.GeneratedColumn<String> _column_50(String aliasedName) =>
    i1.GeneratedColumn<String>('rep_weight', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<bool> _column_51(String aliasedName) =>
    i1.GeneratedColumn<bool>('is_alternating', aliasedName, false,
        type: i1.DriftSqlType.bool,
        defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
            'CHECK ("is_alternating" IN (0, 1))'),
        defaultValue: Variable(false));
i1.GeneratedColumn<String> _column_52(String aliasedName) =>
    i1.GeneratedColumn<String>('tempo', aliasedName, true,
        additionalChecks: i1.GeneratedColumn.checkTextLength(
            minTextLength: 6, maxTextLength: 36),
        type: i1.DriftSqlType.string);

final class Schema22 extends i0.VersionedSchema {
  Schema22({required super.database}) : super(version: 22);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape19 actions = Shape19(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape19 extends i0.VersionedTable {
  Shape19({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get totalSets =>
      columnsByName['total_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get totalReps =>
      columnsByName['total_reps']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get restBeforeSets =>
      columnsByName['rest_before_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restBetweenSets =>
      columnsByName['rest_between_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restBetweenReps =>
      columnsByName['rest_between_reps']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restAfterSets =>
      columnsByName['rest_after_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get repType =>
      columnsByName['rep_type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get repLength =>
      columnsByName['rep_length']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get repWeights =>
      columnsByName['rep_weights']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get setWeights =>
      columnsByName['set_weights']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<bool> get isAlternating =>
      columnsByName['is_alternating']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<String> get tempo =>
      columnsByName['tempo']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get set =>
      columnsByName['set']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_53(String aliasedName) =>
    i1.GeneratedColumn<String>('rep_weights', aliasedName, true,
        type: i1.DriftSqlType.string);
i1.GeneratedColumn<String> _column_54(String aliasedName) =>
    i1.GeneratedColumn<String>('set_weights', aliasedName, true,
        type: i1.DriftSqlType.string);

final class Schema23 extends i0.VersionedSchema {
  Schema23({required super.database}) : super(version: 23);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape20 actions = Shape20(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_3,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape20 extends i0.VersionedTable {
  Shape20({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get totalSets =>
      columnsByName['total_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get totalReps =>
      columnsByName['total_reps']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get restBeforeSets =>
      columnsByName['rest_before_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restBetweenSets =>
      columnsByName['rest_between_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restBetweenReps =>
      columnsByName['rest_between_reps']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restAfterSets =>
      columnsByName['rest_after_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get repType =>
      columnsByName['rep_type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get repLength =>
      columnsByName['rep_length']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get repWeights =>
      columnsByName['rep_weights']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get setWeights =>
      columnsByName['set_weights']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<bool> get isAlternating =>
      columnsByName['is_alternating']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<String> get tempo =>
      columnsByName['tempo']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get status =>
      columnsByName['status']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get set =>
      columnsByName['set']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

final class Schema24 extends i0.VersionedSchema {
  Schema24({required super.database}) : super(version: 24);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape20 actions = Shape20(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_55,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_55(String aliasedName) =>
    i1.GeneratedColumn<String>('status', aliasedName, false,
        type: i1.DriftSqlType.string,
        defaultValue: Variable(ActionStatus.pending.toString()));

final class Schema25 extends i0.VersionedSchema {
  Schema25({required super.database}) : super(version: 25);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_55,
          _column_56,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape21 extends i0.VersionedTable {
  Shape21({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get title =>
      columnsByName['title']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get description =>
      columnsByName['body']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get totalSets =>
      columnsByName['total_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get totalReps =>
      columnsByName['total_reps']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get restBeforeSets =>
      columnsByName['rest_before_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restBetweenSets =>
      columnsByName['rest_between_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restBetweenReps =>
      columnsByName['rest_between_reps']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get restAfterSets =>
      columnsByName['rest_after_sets']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get repType =>
      columnsByName['rep_type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get repLength =>
      columnsByName['rep_length']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get repWeights =>
      columnsByName['rep_weights']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get setWeights =>
      columnsByName['set_weights']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<bool> get isAlternating =>
      columnsByName['is_alternating']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<String> get tempo =>
      columnsByName['tempo']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get status =>
      columnsByName['status']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get state =>
      columnsByName['state']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get set =>
      columnsByName['set']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

i1.GeneratedColumn<String> _column_56(String aliasedName) =>
    i1.GeneratedColumn<String>('state', aliasedName, true,
        type: i1.DriftSqlType.string);

final class Schema26 extends i0.VersionedSchema {
  Schema26({required super.database}) : super(version: 26);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_55,
          _column_57,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_57(String aliasedName) =>
    i1.GeneratedColumn<String>('state', aliasedName, false,
        type: i1.DriftSqlType.string, defaultValue: Variable("{}"));

final class Schema27 extends i0.VersionedSchema {
  Schema27({required super.database}) : super(version: 27);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_58,
          _column_57,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_58(String aliasedName) =>
    i1.GeneratedColumn<String>('status', aliasedName, false,
        type: i1.DriftSqlType.string, defaultValue: Variable('pending'));

final class Schema28 extends i0.VersionedSchema {
  Schema28({required super.database}) : super(version: 28);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_58,
          _column_57,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

final class Schema29 extends i0.VersionedSchema {
  Schema29({required super.database}) : super(version: 29);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_58,
          _column_59,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_59(String aliasedName) =>
    i1.GeneratedColumn<String>('state', aliasedName, false,
        type: i1.DriftSqlType.string,
        defaultValue:
            Variable("{'currentSet': 1, 'currentRep': 1, 'currentTime': 0}"));

final class Schema30 extends i0.VersionedSchema {
  Schema30({required super.database}) : super(version: 30);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_58,
          _column_59,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

final class Schema31 extends i0.VersionedSchema {
  Schema31({required super.database}) : super(version: 31);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_58,
          _column_60,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_60(String aliasedName) =>
    i1.GeneratedColumn<String>('state', aliasedName, false,
        type: i1.DriftSqlType.string,
        defaultValue: Variable(
            "{\"currentSet\": 1, \"currentRep\": 1, \"currentTime\": 0}"));

final class Schema32 extends i0.VersionedSchema {
  Schema32({required super.database}) : super(version: 32);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_58,
          _column_61,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_61(String aliasedName) => i1.GeneratedColumn<
        String>('state', aliasedName, false,
    type: i1.DriftSqlType.string,
    defaultValue: Variable(
        "{\"currentSet\": 1, \"currentRep\": 1, \"currentTime\": 0, \"currentAction\": 0}"));

final class Schema33 extends i0.VersionedSchema {
  Schema33({required super.database}) : super(version: 33);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_58,
          _column_62,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape10 activityActions = Shape10(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i1.GeneratedColumn<String> _column_62(String aliasedName) => i1.GeneratedColumn<
        String>('state', aliasedName, false,
    type: i1.DriftSqlType.string,
    defaultValue: Variable(
        "{\"currentSet\": 0, \"currentRep\": 0, \"currentActionType\": 0, \"currentTime\": 0, \"currentAction\": 0}"));

final class Schema34 extends i0.VersionedSchema {
  Schema34({required super.database}) : super(version: 34);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_58,
          _column_62,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape22 activityActions = Shape22(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_9,
          _column_23,
          _column_8,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

class Shape22 extends i0.VersionedTable {
  Shape22({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get activityId =>
      columnsByName['activity_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get actionId =>
      columnsByName['action_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get sessionId =>
      columnsByName['session_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get position =>
      columnsByName['position']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<DateTime> get createdAt =>
      columnsByName['created_at']! as i1.GeneratedColumn<DateTime>;
}

final class Schema35 extends i0.VersionedSchema {
  Schema35({required super.database}) : super(version: 35);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    sessions,
    activities,
    sessionActivities,
    actions,
    activityActions,
    mediaItems,
    objectMediaItems,
  ];
  late final Shape12 sessions = Shape12(
      source: i0.VersionedTable(
        entityName: 'sessions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_1,
          _column_2,
          _column_3,
          _column_11,
          _column_20,
          _column_4,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape17 activities = Shape17(
      source: i0.VersionedTable(
        entityName: 'activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_40,
          _column_36,
          _column_37,
          _column_38,
          _column_27,
          _column_28,
          _column_29,
          _column_35,
          _column_31,
          _column_32,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape13 sessionActivities = Shape13(
      source: i0.VersionedTable(
        entityName: 'session_activities',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_21,
          _column_22,
          _column_19,
          _column_10,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape21 actions = Shape21(
      source: i0.VersionedTable(
        entityName: 'actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_42,
          _column_43,
          _column_44,
          _column_45,
          _column_46,
          _column_47,
          _column_48,
          _column_49,
          _column_53,
          _column_54,
          _column_51,
          _column_52,
          _column_58,
          _column_62,
          _column_12,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape22 activityActions = Shape22(
      source: i0.VersionedTable(
        entityName: 'activity_actions',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_22,
          _column_23,
          _column_21,
          _column_19,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape5 mediaItems = Shape5(
      source: i0.VersionedTable(
        entityName: 'media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_41,
          _column_2,
          _column_25,
          _column_6,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
  late final Shape6 objectMediaItems = Shape6(
      source: i0.VersionedTable(
        entityName: 'object_media_items',
        withoutRowId: false,
        isStrict: false,
        tableConstraints: [],
        columns: [
          _column_0,
          _column_15,
          _column_16,
          _column_24,
          _column_5,
        ],
        attachedDatabase: database,
      ),
      alias: null);
}

i0.MigrationStepWithVersion migrationSteps({
  required Future<void> Function(i1.Migrator m, Schema2 schema) from1To2,
  required Future<void> Function(i1.Migrator m, Schema3 schema) from2To3,
  required Future<void> Function(i1.Migrator m, Schema4 schema) from3To4,
  required Future<void> Function(i1.Migrator m, Schema5 schema) from4To5,
  required Future<void> Function(i1.Migrator m, Schema6 schema) from5To6,
  required Future<void> Function(i1.Migrator m, Schema7 schema) from6To7,
  required Future<void> Function(i1.Migrator m, Schema8 schema) from7To8,
  required Future<void> Function(i1.Migrator m, Schema9 schema) from8To9,
  required Future<void> Function(i1.Migrator m, Schema10 schema) from9To10,
  required Future<void> Function(i1.Migrator m, Schema11 schema) from10To11,
  required Future<void> Function(i1.Migrator m, Schema12 schema) from11To12,
  required Future<void> Function(i1.Migrator m, Schema13 schema) from12To13,
  required Future<void> Function(i1.Migrator m, Schema14 schema) from13To14,
  required Future<void> Function(i1.Migrator m, Schema15 schema) from14To15,
  required Future<void> Function(i1.Migrator m, Schema16 schema) from15To16,
  required Future<void> Function(i1.Migrator m, Schema17 schema) from16To17,
  required Future<void> Function(i1.Migrator m, Schema18 schema) from17To18,
  required Future<void> Function(i1.Migrator m, Schema19 schema) from18To19,
  required Future<void> Function(i1.Migrator m, Schema20 schema) from19To20,
  required Future<void> Function(i1.Migrator m, Schema21 schema) from20To21,
  required Future<void> Function(i1.Migrator m, Schema22 schema) from21To22,
  required Future<void> Function(i1.Migrator m, Schema23 schema) from22To23,
  required Future<void> Function(i1.Migrator m, Schema24 schema) from23To24,
  required Future<void> Function(i1.Migrator m, Schema25 schema) from24To25,
  required Future<void> Function(i1.Migrator m, Schema26 schema) from25To26,
  required Future<void> Function(i1.Migrator m, Schema27 schema) from26To27,
  required Future<void> Function(i1.Migrator m, Schema28 schema) from27To28,
  required Future<void> Function(i1.Migrator m, Schema29 schema) from28To29,
  required Future<void> Function(i1.Migrator m, Schema30 schema) from29To30,
  required Future<void> Function(i1.Migrator m, Schema31 schema) from30To31,
  required Future<void> Function(i1.Migrator m, Schema32 schema) from31To32,
  required Future<void> Function(i1.Migrator m, Schema33 schema) from32To33,
  required Future<void> Function(i1.Migrator m, Schema34 schema) from33To34,
  required Future<void> Function(i1.Migrator m, Schema35 schema) from34To35,
}) {
  return (currentVersion, database) async {
    switch (currentVersion) {
      case 1:
        final schema = Schema2(database: database);
        final migrator = i1.Migrator(database, schema);
        await from1To2(migrator, schema);
        return 2;
      case 2:
        final schema = Schema3(database: database);
        final migrator = i1.Migrator(database, schema);
        await from2To3(migrator, schema);
        return 3;
      case 3:
        final schema = Schema4(database: database);
        final migrator = i1.Migrator(database, schema);
        await from3To4(migrator, schema);
        return 4;
      case 4:
        final schema = Schema5(database: database);
        final migrator = i1.Migrator(database, schema);
        await from4To5(migrator, schema);
        return 5;
      case 5:
        final schema = Schema6(database: database);
        final migrator = i1.Migrator(database, schema);
        await from5To6(migrator, schema);
        return 6;
      case 6:
        final schema = Schema7(database: database);
        final migrator = i1.Migrator(database, schema);
        await from6To7(migrator, schema);
        return 7;
      case 7:
        final schema = Schema8(database: database);
        final migrator = i1.Migrator(database, schema);
        await from7To8(migrator, schema);
        return 8;
      case 8:
        final schema = Schema9(database: database);
        final migrator = i1.Migrator(database, schema);
        await from8To9(migrator, schema);
        return 9;
      case 9:
        final schema = Schema10(database: database);
        final migrator = i1.Migrator(database, schema);
        await from9To10(migrator, schema);
        return 10;
      case 10:
        final schema = Schema11(database: database);
        final migrator = i1.Migrator(database, schema);
        await from10To11(migrator, schema);
        return 11;
      case 11:
        final schema = Schema12(database: database);
        final migrator = i1.Migrator(database, schema);
        await from11To12(migrator, schema);
        return 12;
      case 12:
        final schema = Schema13(database: database);
        final migrator = i1.Migrator(database, schema);
        await from12To13(migrator, schema);
        return 13;
      case 13:
        final schema = Schema14(database: database);
        final migrator = i1.Migrator(database, schema);
        await from13To14(migrator, schema);
        return 14;
      case 14:
        final schema = Schema15(database: database);
        final migrator = i1.Migrator(database, schema);
        await from14To15(migrator, schema);
        return 15;
      case 15:
        final schema = Schema16(database: database);
        final migrator = i1.Migrator(database, schema);
        await from15To16(migrator, schema);
        return 16;
      case 16:
        final schema = Schema17(database: database);
        final migrator = i1.Migrator(database, schema);
        await from16To17(migrator, schema);
        return 17;
      case 17:
        final schema = Schema18(database: database);
        final migrator = i1.Migrator(database, schema);
        await from17To18(migrator, schema);
        return 18;
      case 18:
        final schema = Schema19(database: database);
        final migrator = i1.Migrator(database, schema);
        await from18To19(migrator, schema);
        return 19;
      case 19:
        final schema = Schema20(database: database);
        final migrator = i1.Migrator(database, schema);
        await from19To20(migrator, schema);
        return 20;
      case 20:
        final schema = Schema21(database: database);
        final migrator = i1.Migrator(database, schema);
        await from20To21(migrator, schema);
        return 21;
      case 21:
        final schema = Schema22(database: database);
        final migrator = i1.Migrator(database, schema);
        await from21To22(migrator, schema);
        return 22;
      case 22:
        final schema = Schema23(database: database);
        final migrator = i1.Migrator(database, schema);
        await from22To23(migrator, schema);
        return 23;
      case 23:
        final schema = Schema24(database: database);
        final migrator = i1.Migrator(database, schema);
        await from23To24(migrator, schema);
        return 24;
      case 24:
        final schema = Schema25(database: database);
        final migrator = i1.Migrator(database, schema);
        await from24To25(migrator, schema);
        return 25;
      case 25:
        final schema = Schema26(database: database);
        final migrator = i1.Migrator(database, schema);
        await from25To26(migrator, schema);
        return 26;
      case 26:
        final schema = Schema27(database: database);
        final migrator = i1.Migrator(database, schema);
        await from26To27(migrator, schema);
        return 27;
      case 27:
        final schema = Schema28(database: database);
        final migrator = i1.Migrator(database, schema);
        await from27To28(migrator, schema);
        return 28;
      case 28:
        final schema = Schema29(database: database);
        final migrator = i1.Migrator(database, schema);
        await from28To29(migrator, schema);
        return 29;
      case 29:
        final schema = Schema30(database: database);
        final migrator = i1.Migrator(database, schema);
        await from29To30(migrator, schema);
        return 30;
      case 30:
        final schema = Schema31(database: database);
        final migrator = i1.Migrator(database, schema);
        await from30To31(migrator, schema);
        return 31;
      case 31:
        final schema = Schema32(database: database);
        final migrator = i1.Migrator(database, schema);
        await from31To32(migrator, schema);
        return 32;
      case 32:
        final schema = Schema33(database: database);
        final migrator = i1.Migrator(database, schema);
        await from32To33(migrator, schema);
        return 33;
      case 33:
        final schema = Schema34(database: database);
        final migrator = i1.Migrator(database, schema);
        await from33To34(migrator, schema);
        return 34;
      case 34:
        final schema = Schema35(database: database);
        final migrator = i1.Migrator(database, schema);
        await from34To35(migrator, schema);
        return 35;
      default:
        throw ArgumentError.value('Unknown migration from $currentVersion');
    }
  };
}

i1.OnUpgrade stepByStep({
  required Future<void> Function(i1.Migrator m, Schema2 schema) from1To2,
  required Future<void> Function(i1.Migrator m, Schema3 schema) from2To3,
  required Future<void> Function(i1.Migrator m, Schema4 schema) from3To4,
  required Future<void> Function(i1.Migrator m, Schema5 schema) from4To5,
  required Future<void> Function(i1.Migrator m, Schema6 schema) from5To6,
  required Future<void> Function(i1.Migrator m, Schema7 schema) from6To7,
  required Future<void> Function(i1.Migrator m, Schema8 schema) from7To8,
  required Future<void> Function(i1.Migrator m, Schema9 schema) from8To9,
  required Future<void> Function(i1.Migrator m, Schema10 schema) from9To10,
  required Future<void> Function(i1.Migrator m, Schema11 schema) from10To11,
  required Future<void> Function(i1.Migrator m, Schema12 schema) from11To12,
  required Future<void> Function(i1.Migrator m, Schema13 schema) from12To13,
  required Future<void> Function(i1.Migrator m, Schema14 schema) from13To14,
  required Future<void> Function(i1.Migrator m, Schema15 schema) from14To15,
  required Future<void> Function(i1.Migrator m, Schema16 schema) from15To16,
  required Future<void> Function(i1.Migrator m, Schema17 schema) from16To17,
  required Future<void> Function(i1.Migrator m, Schema18 schema) from17To18,
  required Future<void> Function(i1.Migrator m, Schema19 schema) from18To19,
  required Future<void> Function(i1.Migrator m, Schema20 schema) from19To20,
  required Future<void> Function(i1.Migrator m, Schema21 schema) from20To21,
  required Future<void> Function(i1.Migrator m, Schema22 schema) from21To22,
  required Future<void> Function(i1.Migrator m, Schema23 schema) from22To23,
  required Future<void> Function(i1.Migrator m, Schema24 schema) from23To24,
  required Future<void> Function(i1.Migrator m, Schema25 schema) from24To25,
  required Future<void> Function(i1.Migrator m, Schema26 schema) from25To26,
  required Future<void> Function(i1.Migrator m, Schema27 schema) from26To27,
  required Future<void> Function(i1.Migrator m, Schema28 schema) from27To28,
  required Future<void> Function(i1.Migrator m, Schema29 schema) from28To29,
  required Future<void> Function(i1.Migrator m, Schema30 schema) from29To30,
  required Future<void> Function(i1.Migrator m, Schema31 schema) from30To31,
  required Future<void> Function(i1.Migrator m, Schema32 schema) from31To32,
  required Future<void> Function(i1.Migrator m, Schema33 schema) from32To33,
  required Future<void> Function(i1.Migrator m, Schema34 schema) from33To34,
  required Future<void> Function(i1.Migrator m, Schema35 schema) from34To35,
}) =>
    i0.VersionedSchema.stepByStepHelper(
        step: migrationSteps(
      from1To2: from1To2,
      from2To3: from2To3,
      from3To4: from3To4,
      from4To5: from4To5,
      from5To6: from5To6,
      from6To7: from6To7,
      from7To8: from7To8,
      from8To9: from8To9,
      from9To10: from9To10,
      from10To11: from10To11,
      from11To12: from11To12,
      from12To13: from12To13,
      from13To14: from13To14,
      from14To15: from14To15,
      from15To16: from15To16,
      from16To17: from16To17,
      from17To18: from17To18,
      from18To19: from18To19,
      from19To20: from19To20,
      from20To21: from20To21,
      from21To22: from21To22,
      from22To23: from22To23,
      from23To24: from23To24,
      from24To25: from24To25,
      from25To26: from25To26,
      from26To27: from26To27,
      from27To28: from27To28,
      from28To29: from28To29,
      from29To30: from29To30,
      from30To31: from30To31,
      from31To32: from31To32,
      from32To33: from32To33,
      from33To34: from33To34,
      from34To35: from34To35,
    ));
